## oonf-olsrd2-v0.15.1.tar.bz2

=== examples/CMakeLists.txt ===
# add example directories
include_directories(.)

add_subdirectory(rfc5444_reader_writer)

=== src-plugins/CMakeLists.txt ===
# add include directoy
include_directories(.)
include_directories(crypto)
include_directories(generic)
include_directories(nhdp)
include_directories(olsrv2)

# add subdirectories
#add_subdirectory(crypto)
add_subdirectory(generic)
add_subdirectory(nhdp)
add_subdirectory(olsrv2)
add_subdirectory(subsystems)

=== tests/CMakeLists.txt ===
# add test directories
include_directories(.)

add_subdirectory(cunit)
add_subdirectory(common)
add_subdirectory(config)
add_subdirectory(rfc5444)

=== examples/rfc5444_reader_writer/CMakeLists.txt ===
# create executable
ADD_EXECUTABLE(example_rfc5444_reader_writer reader.c writer.c main.c)

TARGET_LINK_LIBRARIES(example_rfc5444_reader_writer oonf_rfc5444)
TARGET_LINK_LIBRARIES(example_rfc5444_reader_writer oonf_common)

# link regex for windows and android
IF (WIN32 OR ANDROID)
    TARGET_LINK_LIBRARIES(example_rfc5444_reader_writer oonf_regex)
ENDIF(WIN32 OR ANDROID)

# link extra win32 libs
IF(WIN32)
    SET_TARGET_PROPERTIES(example_rfc5444_reader_writer PROPERTIES ENABLE_EXPORTS true)
    TARGET_LINK_LIBRARIES(example_rfc5444_reader_writer ws2_32 iphlpapi)
ENDIF(WIN32)

=== openwrt/oonf-dlep-radio-git-debug/Makefile ===
include $(TOPDIR)/rules.mk

PKG_NAME:=oonf-dlep-radio-git-debug
PKG_VERSION:=2016-05-31

CMAKE_INSTALL:=1

include $(INCLUDE_DIR)/package.mk
include $(INCLUDE_DIR)/cmake.mk

CMAKE_SOURCE_DIR=$(CURDIR)/../../
CMAKE_OPTIONS=-D OONF_NO_WERROR:Bool=true \
              -D OONF_LOGGING_LEVEL:String=debug \
              -D OONF_NO_TESTING:Bool=true \
              -D UCI:Bool=true \
              -D OONF_APP_DEFAULT_CFG_HANDLER:String=uci \
              -D OONF_STATIC_PLUGINS:String="class;clock;layer2;packet_socket;socket;stream_socket;telnet;timer;viewer;os_clock;os_fd;os_interface;os_system;nl80211_listener;layer2info;systeminfo;cfg_uciloader;cfg_compact;dlep_radio" \
              -D INSTALL_LIB_DIR:Path=lib/oonf \
              -D INSTALL_INCLUDE_DIR:Path=include/oonf \
              -D INSTALL_CMAKE_DIR:Path=lib/oonf \
              -D CMAKE_PREFIX_PATH=$(STAGING_DIR)/usr \
              -D CMAKE_BUILD_TYPE:String=Debug

define Package/oonf-git/template
	SECTION:=net
	CATEGORY:=Network
	MAINTAINER:=Henning Rogge <hrogge@gmail.com>
	SUBMENU:=OLSR.org network framework
	URL:=http://www.olsr.org/
endef

define Package/oonf-dlep-radio-git-debug
	$(call Package/oonf-git/template) 
	TITLE:= Build DLEP Radio Agent (Debug)
	DEPENDS:=+librt +libnl-tiny +libuci +oonf-init-scripts
	VERSION:=$(PKG_VERSION)
endef

Build/Compile=$(call Build/Compile/Default,dlep_radio_static)
Build/Install=

define Build/Install
	$(INSTALL_BIN) -D $(PKG_BUILD_DIR)/$(MAKE_PATH)/dlep_radio_static $(PKG_INSTALL_DIR)/usr/sbin/dlep_radio;
endef

TARGET_CFLAGS += -I$(STAGING_DIR)/usr/include -I${STAGING_DIR}/usr/include/libnl-tiny

define Package/oonf-dlep-radio-git-debug/install
	$(INSTALL_BIN)  -D $(PKG_BUILD_DIR)/dlep_radio_static $(1)/usr/sbin/dlep_radio
	$(INSTALL_BIN)  -D ./files/dlep_radio.init            $(1)/etc/init.d/dlep_radio
	$(INSTALL_BIN)  -D ./files/dlep_radio.hotplug         $(1)/etc/hotplug.d/iface/50-dlep_radio
	$(INSTALL_DATA) -D ./files/dlep_radio.uci             $(1)/etc/config/dlep_radio
endef

define Package/oonf-dlep-radio-git-debug/conffiles
/etc/config/dlep_radio
endef

$(eval $(call BuildPackage,oonf-dlep-radio-git-debug))

=== openwrt/oonf-olsrd2-git/Makefile ===
include $(TOPDIR)/rules.mk

PKG_NAME:=oonf-olsrd2-git
PKG_VERSION:=2017-10-17

CMAKE_INSTALL:=1

include $(INCLUDE_DIR)/package.mk
include $(INCLUDE_DIR)/cmake.mk

SPACE:=
SPACE+=
CMAKE_OPTIONAL_PLUGINS:= $(subst $(SPACE),;,$(strip \
        $(if $(filter y,$(CONFIG_OONF_NHDP_AUTOLL4)),auto_ll4,) \
        $(if $(filter y,$(CONFIG_OONF_OLSRV2_LAN_IMPORT)),lan_import,) \
        $(if $(filter y,$(CONFIG_OONF_OLSRV2_ROUTE_MODIFIER)),route_modifier,) \
        $(if $(filter y,$(CONFIG_OONF_GENERIC_DLEP_ROUTER)),dlep_router,) \
        $(if $(filter y,$(CONFIG_OONF_GENERIC_REMOTECONTROL)),remotecontrol,) \
        $(if $(filter y,$(CONFIG_OONF_OLSRV2_MPR)),mpr,) \
        $(if $(filter y,$(CONFIG_OONF_GENERIC_HTTP)),http,) \
        $(if $(filter y,$(CONFIG_OONF_OLSRV2_LAN)),olsrv2_lan,) \
        $(if $(filter y,$(CONFIG_OONF_OLSRV2_OLD_LAN)),olsrv2_old_lan,) \
    ))

BUILD_TYPE:= $(if $(filter y,$(CONFIG_DEBUG)),Debug,Release)

CMAKE_SOURCE_DIR=$(CURDIR)/../../
CMAKE_OPTIONS=-D CMAKE_BUILD_TYPE:String=$(BUILD_TYPE) \
              -D OONF_NO_WERROR:Bool=true \
              -D OONF_LOGGING_LEVEL:String=debug \
              -D OONF_NO_TESTING:Bool=true \
              -D UCI:Bool=true \
              -D OONF_APP_DEFAULT_CFG_HANDLER:String=uci \
              -D OONF_STATIC_PLUGINS:String="class;clock;duplicate_set;layer2;packet_socket;rfc5444;socket;stream_socket;telnet;timer;viewer;os_clock;os_fd;os_interface;os_routing;os_system;nhdp;olsrv2;ff_dat_metric;neighbor_probing;nl80211_listener;link_config;layer2info;systeminfo;cfg_uciloader;cfg_compact;nhdpinfo;olsrv2info;netjsoninfo;${CMAKE_OPTIONAL_PLUGINS}" \
              -D OONF_LIB_GIT:String=v$(PKG_VERSION)-archive \
              -D OONF_VERSION:String=$(PKG_VERSION) \
              -D INSTALL_LIB_DIR:Path=lib/oonf \
              -D INSTALL_INCLUDE_DIR:Path=include/oonf \
              -D INSTALL_CMAKE_DIR:Path=lib/oonf \
              -D CMAKE_PREFIX_PATH=$(STAGING_DIR)/usr

define Package/oonf-git/template
	SECTION:=net
	CATEGORY:=Network
	MAINTAINER:=Henning Rogge <hrogge@gmail.com>
	SUBMENU:=OLSR.org network framework
	URL:=http://www.olsr.org/
	MENU:=1
endef

define Package/oonf-olsrd2-git
	$(call Package/oonf-git/template)
	TITLE:= Build Olsrd V2 Routing Agent
	DEPENDS:=+librt +libnl-tiny +libuci +oonf-init-scripts
	VERSION:=$(PKG_VERSION)
endef

define Package/oonf-olsrd2-git/config
	source "$(SOURCE)/Config.in"
endef

Build/Compile=$(call Build/Compile/Default,olsrd2_static)
Build/Install=

define Build/Install
	$(INSTALL_BIN) -D $(PKG_BUILD_DIR)/$(MAKE_PATH)/olsrd2_static $(PKG_INSTALL_DIR)/usr/sbin/olsrd2;
endef

TARGET_CFLAGS += -I$(STAGING_DIR)/usr/include -I${STAGING_DIR}/usr/include/libnl-tiny

define Package/oonf-olsrd2-git/install
	$(INSTALL_BIN)  -D $(PKG_BUILD_DIR)/olsrd2_static $(1)/usr/sbin/olsrd2
	$(INSTALL_BIN)  -D ./files/olsrd2.init            $(1)/etc/init.d/olsrd2
	$(INSTALL_BIN)  -D ./files/olsrd2.hotplug         $(1)/etc/hotplug.d/iface/50-olsrd2
	$(INSTALL_DATA) -D ./files/olsrd2.uci             $(1)/etc/config/olsrd2
endef

define Package/oonf-olsrd2-git/conffiles
/etc/config/olsrd2
endef

$(eval $(call BuildPackage,oonf-olsrd2-git))

=== src-api/common/CMakeLists.txt ===
SET(OONF_COMMON_SRCS  autobuf.c
                      avl_comp.c
                      avl.c
                      bitmap256.c
                      bitstream.c
                      isonumber.c
                      json.c
                      netaddr.c
                      netaddr_acl.c
                      string.c
                      template.c)

SET(OONF_COMMON_INCLUDES autobuf.h
                         avl_comp.h
                         avl.h
                         bitmap256.h
                         bitstream.h
                         common_types.h
                         container_of.h
                         isonumber.h
                         json.h
                         list.h
                         netaddr.h
                         netaddr_acl.h
                         string.h
                         template.h)

oonf_create_library("common" "${OONF_COMMON_SRCS}" "${OONF_COMMON_INCLUDES}" "" "")

=== src-api/config/CMakeLists.txt ===
SET(OONF_CONFIG_SRCS cfg_cmd.c
                      cfg_db.c
                      cfg_help.c
                      cfg_io.c
                      cfg_schema.c
                      cfg_tobin.c
                      cfg_validate.c
                      cfg.c)

SET(OONF_CONFIG_INCLUDES cfg_cmd.h
                         cfg_db.h
                         cfg_help.h
                         cfg_io.h
                         cfg_schema.h
                         cfg_tobin.h
                         cfg_validate.h
                         cfg.h)

oonf_create_library("config" "${OONF_CONFIG_SRCS}" "${OONF_CONFIG_INCLUDES}" "oonf_common" "")

=== src-api/core/CMakeLists.txt ===
# make sure that oonf_libdata is rebuild everytimes 
SET(GEN_DATA_C ${PROJECT_BINARY_DIR}/oonf_libdata.c)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/oonf_libdata.c.in ${GEN_DATA_C})

SET(OONF_CORE_SRCS oonf_cfg.c
                   oonf_logging.c
                   oonf_logging_cfg.c
                   oonf_main.c
                   oonf_subsystem.c
                   ${GEN_DATA_C})

SET(OONF_CORE_INCLUDES oonf_appdata.h
                       oonf_cfg.h
                       oonf_logging.h
                       oonf_logging_cfg.h
                       oonf_main.h
                       oonf_subsystem.h
                       oonf_libdata.h
                       os_core.h
                       )

# add os_specific source(include files
# TODO: add BSD and WIN32
IF(LINUX)
    SET(OONF_CORE_SRCS ${OONF_CORE_SRCS}
                       os_generic/os_core_generic_syslog.c
                       os_linux/os_core_linux.c
                       )
    SET(OONF_CORE_INCLUDES ${OONF_CORE_INCLUDES}
                       os_generic/os_core_generic_syslog.h
                       os_linux/os_core_linux.h
                       )
ENDIF(LINUX)

SET(linkto_internal oonf_common oonf_config)

oonf_create_library("core" "${OONF_CORE_SRCS}" "${OONF_CORE_INCLUDES}" "${linkto_internal}" "rt")

# remove git commit cache entry
UNSET (OONF_LIB_GIT CACHE)

=== src-plugins/nhdp/CMakeLists.txt ===
# add subdirectories
add_subdirectory(auto_ll4)
add_subdirectory(constant_metric)
add_subdirectory(nhdpcheck)
add_subdirectory(hysteresis_olsrv1)
add_subdirectory(ff_dat_metric)
add_subdirectory(mpr)
add_subdirectory(neighbor_probing)
add_subdirectory(nhdp)
add_subdirectory(nhdpinfo)

=== src/dlep-radio/CMakeLists.txt ===
###########################################
#### Default Application configuration ####
###########################################

# set name of program the executable and library prefix
set (OONF_APP "DLEP Radio")
set (OONF_EXE dlep_radio)

# setup custom text before and after default help message
set (OONF_HELP_PREFIX "DLEP Radio daemon\\n")
set (OONF_HELP_SUFFIX "Visit http://www.olsr.org\\n")

# setup custom text after version string
set (OONF_VERSION_TRAILER "Visit http://www.olsr.org\\n")

# set to true to stop application running without root privileges (true/false)
set (OONF_NEED_ROOT true)

# set to true to require a lock for the application to run
set (OONF_NEED_LOCK true)

# name of default configuration handler
set (OONF_APP_DEFAULT_CFG_HANDLER Compact)

#################################
####  set static subsystems  ####
#################################

IF (NOT OONF_STATIC_PLUGINS)
    set (OONF_STATIC_PLUGINS class
                             clock
                             layer2
                             packet_socket
                             socket
                             stream_socket
                             telnet
                             timer
                             viewer
                             os_clock
                             os_fd
                             os_interface
                             os_system
                             cfg_compact
                             layer2info
                             systeminfo
                             layer2_config
                             dlep_radio
                             )
ENDIF (NOT OONF_STATIC_PLUGINS)

IF (NOT OONF_OPTIONAL_STATIC_PLUGINS)
    set (OONF_OPTIONAL_STATIC_PLUGINS nl80211_listener)
ENDIF (NOT OONF_OPTIONAL_STATIC_PLUGINS)

##################################
#### link framework libraries ####
##################################

include(../../cmake/link_app.cmake)
oonf_create_app("${OONF_EXE}" "${OONF_STATIC_PLUGINS}" "${OONF_OPTIONAL_STATIC_PLUGINS}")

=== src/dlep-router/CMakeLists.txt ===
###########################################
#### Default Application configuration ####
###########################################

# set name of program the executable and library prefix
set (OONF_APP "DLEP Router")
set (OONF_EXE dlep_router)

# setup custom text before and after default help message
set (OONF_HELP_PREFIX "DLEP Router daemon\\n")
set (OONF_HELP_SUFFIX "Visit http://www.olsr.org\\n")

# setup custom text after version string
set (OONF_VERSION_TRAILER "Visit http://www.olsr.org\\n")

# set to true to stop application running without root privileges (true/false)
set (OONF_NEED_ROOT false)

# set to true to require a lock for the application to run
set (OONF_NEED_LOCK true)

# name of default configuration handler
set (OONF_APP_DEFAULT_CFG_HANDLER Compact)

#################################
####  set static subsystems  ####
#################################

IF (NOT OONF_STATIC_PLUGINS)
    set (OONF_STATIC_PLUGINS class
                             clock
                             layer2
                             packet_socket
                             socket
                             stream_socket
                             telnet
                             timer
                             viewer
                             os_clock
                             os_fd
                             os_interface
                             os_system
                             cfg_compact
                             layer2info
                             systeminfo
                             dlep_router
                             )
ENDIF (NOT OONF_STATIC_PLUGINS)

##################################
#### link framework libraries ####
##################################

include(../../cmake/link_app.cmake)
oonf_create_app("${OONF_EXE}" "${OONF_STATIC_PLUGINS}" "${OONF_OPTIONAL_STATIC_PLUGINS}")

=== src/olsrd2/debian/control ===
Source: olsrd2
Maintainer: Henning Rogge <henning.rogge@fkie.fraunhofer.de>
Section: net
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), dh-systemd (>= 1.5)

Package: olsrd2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: routing agent for OLSRv2 routing protocol
 see http://www.olsr.org for more information

=== src/olsrd2/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with=systemd

override_dh_auto_configure:
	cmake 	-D CMAKE_INSTALL_PREFIX=/usr \
		-D CMAKE_VERBOSE_MAKEFILE=ON \
		-D CMAKE_BUILD_TYPE=DEBUG \
		-D OONF_LOGGING_LEVEL=debug \
		-D OONF_NO_WERROR:Bool=true \
		SOURCETOOLCHAIN \
		$(CURDIR)

override_dh_auto_install:
	make -j1 install_olsrd2_static DESTDIR=$(CURDIR)/debian/olsrd2 AM_UPDATE_INFO_DIR=no
	install -p -m0644 $(CURDIR)/debian/olsrd2.conf $(CURDIR)/debian/olsrd2/etc/olsrd2/olsrd2.conf
